| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::UndoAction Class Reference
Inheritance diagram for Digikam::UndoAction:

## Public Member Functions
| UndoAction (const EditorCore *const core)
QVariant | fileOriginData () const
DImageHistory | fileOriginResolvedHistory () const
UndoMetadataContainer | getMetadata () const
QString | getTitle () const
bool | hasFileOriginData () const
void | setFileOriginData (const QVariant &data, const DImageHistory &resolvedInitialHistory)
void | setMetadata (const UndoMetadataContainer &)
void | setTitle (const QString &title)